Subject: Re: Win 2000 : Open Files With Word & Excel From The Command Line
From: Ajay Simha <[email-masked]>
To: [email-masked]
Cc: Steve <[email-masked]>
Date: Wed, 19 Feb 2003 16:51:45 -0500

On Wed Feb 19 16:46:43 2003, Steve wrote:
> Hi;
> 
> I managed to get my script "word" to open up word with the path I typed 
> on the command line in cygwin.
> 
> I am having trouble getting the same to work with excel.
> 
> I am win 2000 and using cygwin.
> 
> I made a script in /usr/local/bin called "excel".
> 
> The script will boot up excel, but not with the file I specified.  I get 
> error messages saying that the file does not exist.  Between the "===" 
> lines are the different contests I have tried for my "excel" script:

Why bother with this?

Just use "cygstart filename.doc"
or "cygstart filename.xls"

and as long as you have setup default handlers for those filetypes it works.

I even use this inside my mailcap.

-ajay

> 
> 
> version 1
> ============================================================
> exec "c:/Program Files/Microsoft Office/Office/EXCEL.EXE" "cygpath -w $1"
> 
> ===========================================================
> version 2
> exec "c:/Program Files/Microsoft Office/Office/EXCEL.EXE" "@&"
> 
> 
> Usage:
> 
> $ word /path/to/file.xls
> 
> Any ideas would be appreciated
> 
> Thanks
> 
> Steve
> 
> -- 
> Patriotism -
> Taking the plastic flag off of the SUV and trading it in for a fuel 
> efficient car
> 
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/